RFIDWithUHFBluetooth.BankEnum

com.rscja.deviceapi

## Enum RFIDWithUHFBluetooth.BankEnum

- java.lang.Object
- - java.lang.Enum<RFIDWithUHFBluetooth.BankEnum>
  - - com.rscja.deviceapi.RFIDWithUHFBluetooth.BankEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RFIDWithUHFBluetooth.BankEnum>
  Enclosing class:
    RFIDWithUHFBluetooth

      public static enum RFIDWithUHFBluetooth.BankEnum
      extends java.lang.Enum<RFIDWithUHFBluetooth.BankEnum>

  ´æ´¢Çø
  Storage

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EPC`
    `RESERVED`
    `TID`
    `USER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getValue()`
    `static RFIDWithUHFBluetooth.BankEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RFIDWithUHFBluetooth.BankEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RESERVED

          public static final RFIDWithUHFBluetooth.BankEnum RESERVED

    - #### EPC

          public static final RFIDWithUHFBluetooth.BankEnum EPC

    - #### TID

          public static final RFIDWithUHFBluetooth.BankEnum TID

    - #### USER

          public static final RFIDWithUHFBluetooth.BankEnum USER

  - ### Method Detail

    - #### values

          public static RFIDWithUHFBluetooth.BankEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RFIDWithUHFBluetooth.BankEnum c : RFIDWithUHFBluetooth.BankEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RFIDWithUHFBluetooth.BankEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public byte getValue()